<template>
  <div class="dashboard">
    <div>
      <div class="dashboard_time">
        {{ dateTime.hours }}:{{ dateTime.minutes }}
      </div>
    </div>
    <div class="dashboard_message">{{ $t(WelcomeMessage) }}</div>
  </div>
</template>

<script lang="ts">
import { defineComponent, reactive, toRefs, computed } from "vue";

export default defineComponent({
  components: {},
  setup() {
    const date = new Date();
    const state = reactive({
      dateTime: {
        hours: date.getHours(),
        minutes: date.getMinutes(),
        seconds: date.getSeconds(),
      },
    });

    const WelcomeMessage = computed(() => {
      let message = "";
      if (state.dateTime.hours < 12) message = "goodMorning";
      else if (state.dateTime.hours == 12) message = "goodAfternoon";
      else if (state.dateTime.hours < 16) message = "goodEvening";
      else message = "goodNight";

      return `welcomeMessage.${message}`;
    });

    return {
      ...toRefs(state),
      WelcomeMessage,
    };
  },
});
</script>

<style lang="scss">
.dashboard {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;

  &_time,
  &_message {
    display: flex;
    font-size: 9rem;
    font-weight: bold;
    color: #1a202c;
  }
}
</style>
